Subject: [DNSOP] Fwd: [Technical Errata Reported] RFC1035 (6601)

From: Warren Kumari <[email-masked]>
Date: Mon, 7 Jun 2021 16:20:59 -0400

Hi all,

I believe that this Errata should be marked as Verified; does anyone
disagree?

Please let me know by Friday if you disagree,
W

---------- Forwarded message ---------
From: RFC Errata System <[email-masked]>
Date: Mon, Jun 7, 2021 at 12:57 AM
Subject: [Technical Errata Reported] RFC1035 (6601)
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>

The following errata report has been submitted for RFC1035,
"Domain names - implementation and specification".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6601

--------------------------------------
Type: Technical
Reported by: Patrick Ni <[email-masked]>

Section: 7.1

Original Text
-------------
This timestamp uses the absolute time format previously discussed for RR
storage in zones and caches

Corrected Text
--------------
This timestamp uses the absolute time format previously discussed for RR
storage in caches

Notes
-----
In section 6.1.3. Time, it says "while data in the zone stays with constant
TTL ... The RRs in zones use relative times; the refresh timers and cache
data use absolute times"

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party
can log in to change the status and edit the report, if necessary.

--------------------------------------
RFC1035 (no draft string recorded)
--------------------------------------
Title               : Domain names - implementation and specification
Publication Date    : November 1987
Author(s)           : P.V. Mockapetris
Category            : INTERNET STANDARD
Source              : Legacy
Area                : Legacy
Stream              : IETF
Verifying Party     : IESG

-- 
The computing scientist’s main challenge is not to get confused by the
complexities of his own making.
  -- E. W. Dijkstra

---

From: Mark Andrews <[email-masked]>
Date: Tue, 8 Jun 2021 12:14:49 +1000

While there is nothing wrong with the change it isn’t actually a
errata as it is referring the reader back to section 6.1.3 where
both forms where discussed together.

> On 8 Jun 2021, at 06:20, Warren Kumari <[email-masked]> wrote:
> 
> Hi all,
> 
> I believe that this Errata should be marked as Verified; does anyone disagree?
> 
> This timestamp uses the absolute time format previously discussed for RR storage in zones and caches
> 
> Corrected Text
> --------------
> This timestamp uses the absolute time format previously discussed for RR storage in caches
> 
> Notes
> -----
> In section 6.1.3. Time, it says "while data in the zone stays with constant TTL ... The RRs in zones use relative times; the refresh timers and cache data use absolute times"
> 
> Instructions:
> -------------
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop

-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742              INTERNET: [email-masked]

---

From: Warren Kumari <[email-masked]>
Date: Tue, 8 Jun 2021 19:57:44 -0400

Thanks how I read it the first time as well, but then Erik Kline hit me
with the clue-bat.

The original says that both zones and caches use the absolute time format,
but the description in 6.1.3 says otherwise…

I’m still somewhat confused though, and am fine being hit again…

W

On Mon, Jun 7, 2021 at 10:14 PM Mark Andrews <[email-masked]> wrote:

> > In section 6.1.3. Time, it says "while data in the zone stays with
> constant TTL ... The RRs in zones use relative times; the refresh timers
> and cache data use absolute times"
> >
> > Instructions:
> > -------------
Perhaps they really do strive for incomprehensibility in their specs.
After all, when the liturgy was in Latin, the laity knew their place.
-- Michael Padlipsky

---

From: Roy Arends <[email-masked]>
Date: Wed, 9 Jun 2021 09:25:02 +0100

I agree with the errata, see inline.

> On 7 Jun 2021, at 21:20, Warren Kumari <[email-masked]> wrote:
> 
> Hi all,
> 
> From: RFC Errata System <[email-masked] <mailto:[email-masked]>>
> To: <[email-masked] <mailto:[email-masked]>>
> Cc: <[email-masked] <mailto:[email-masked]>>, <[email-masked] <mailto:[email-masked]>>
> 
> 
> https://www.rfc-editor.org/errata/eid6601 <https://www.rfc-editor.org/errata/eid6601>
> 
> Reported by: Patrick Ni <[email-masked] <mailto:[email-masked]>>
> 
> Section: 7.1
> 
> Original Text
> -------------

RR storage in zones do not use absolute time. While it is not explicitly stated that RR storage in zones do use absolute time, it sure is implied, and that implication is not correct.

> Corrected Text

This correction is valid.

Roy